libnl: rtnl_link Struct Reference

libnl 3.10.0

Data Fields
rtnl_link Struct Reference
Routing Library (libnl-route) » Links (Interfaces)

Link object. More...

`#include "netlink/route/link.h"`

## Data Fields
NLHDR_COMMON char | l_name [IFNAMSIZ]
uint32_t | l_family
uint32_t | l_arptype
uint32_t | l_index
uint32_t | l_flags
uint32_t | l_change
uint32_t | l_mtu
uint32_t | l_link
int32_t | l_link_netnsid
uint32_t | l_txqlen
uint32_t | l_weight
uint32_t | l_master
struct nl_addr * | l_addr
struct nl_addr * | l_bcast
char | l_qdisc [IFQDISCSIZ]
struct rtnl_link_map | l_map
uint64_t | l_stats [RTNL_LINK_STATS_MAX+1]
uint32_t | l_flag_mask
uint32_t | l_num_vf
uint8_t | l_operstate
uint8_t | l_linkmode
char * | l_info_kind
char * | l_info_slave_kind
struct rtnl_link_info_ops * | l_info_ops
void * | l_af_data [AF_MAX]
void * | l_info
char * | l_ifalias
uint32_t | l_promiscuity
uint32_t | l_num_tx_queues
uint32_t | l_num_rx_queues
uint32_t | l_gso_max_segs
uint32_t | l_gso_max_size
uint32_t | l_group
uint8_t | l_carrier
uint32_t | l_carrier_changes
struct rtnl_link_af_ops * | l_af_ops
struct nl_data * | l_phys_port_id
char | l_phys_port_name [IFNAMSIZ]
struct nl_data * | l_phys_switch_id
int | l_ns_fd
pid_t | l_ns_pid
struct rtnl_link_vf * | l_vf_list

## Detailed Description

Link object.

Note
  The definition of this structure is private to allow modification without breaking API. Use the designated accessor functions to access individual object attributes.

Definition at line 29 of file nl-route.h.

## Field Documentation

## ◆ l_name

NLHDR_COMMON char rtnl_link::l_name[IFNAMSIZ]

Definition at line 32 of file nl-route.h.

## ◆ l_family

uint32_t rtnl_link::l_family

Definition at line 33 of file nl-route.h.

## ◆ l_arptype

uint32_t rtnl_link::l_arptype

Definition at line 34 of file nl-route.h.

## ◆ l_index

uint32_t rtnl_link::l_index

Definition at line 35 of file nl-route.h.

## ◆ l_flags

uint32_t rtnl_link::l_flags

Definition at line 36 of file nl-route.h.

## ◆ l_change

uint32_t rtnl_link::l_change

Definition at line 37 of file nl-route.h.

## ◆ l_mtu

uint32_t rtnl_link::l_mtu

Definition at line 38 of file nl-route.h.

## ◆ l_link

uint32_t rtnl_link::l_link

Definition at line 39 of file nl-route.h.

## ◆ l_link_netnsid

int32_t rtnl_link::l_link_netnsid

Definition at line 40 of file nl-route.h.

## ◆ l_txqlen

uint32_t rtnl_link::l_txqlen

Definition at line 41 of file nl-route.h.

## ◆ l_weight

uint32_t rtnl_link::l_weight

Definition at line 42 of file nl-route.h.

## ◆ l_master

uint32_t rtnl_link::l_master

Definition at line 43 of file nl-route.h.

## ◆ l_addr

struct nl_addr* rtnl_link::l_addr

Definition at line 44 of file nl-route.h.

## ◆ l_bcast

struct nl_addr* rtnl_link::l_bcast

Definition at line 45 of file nl-route.h.

## ◆ l_qdisc

char rtnl_link::l_qdisc[IFQDISCSIZ]

Definition at line 46 of file nl-route.h.

## ◆ l_map

struct rtnl_link_map rtnl_link::l_map

Definition at line 47 of file nl-route.h.

## ◆ l_stats

uint64_t rtnl_link::l_stats[RTNL_LINK_STATS_MAX+1]

Definition at line 48 of file nl-route.h.

## ◆ l_flag_mask

uint32_t rtnl_link::l_flag_mask

Definition at line 49 of file nl-route.h.

## ◆ l_num_vf

uint32_t rtnl_link::l_num_vf

Definition at line 50 of file nl-route.h.

## ◆ l_operstate

uint8_t rtnl_link::l_operstate

Definition at line 51 of file nl-route.h.

## ◆ l_linkmode

uint8_t rtnl_link::l_linkmode

Definition at line 52 of file nl-route.h.

## ◆ l_info_kind

char* rtnl_link::l_info_kind

Definition at line 54 of file nl-route.h.

## ◆ l_info_slave_kind

char* rtnl_link::l_info_slave_kind

Definition at line 55 of file nl-route.h.

## ◆ l_info_ops

struct rtnl_link_info_ops* rtnl_link::l_info_ops

Definition at line 56 of file nl-route.h.

## ◆ l_af_data

void* rtnl_link::l_af_data[AF_MAX]

Definition at line 57 of file nl-route.h.

## ◆ l_info

void* rtnl_link::l_info

Definition at line 58 of file nl-route.h.

## ◆ l_ifalias

char* rtnl_link::l_ifalias

Definition at line 59 of file nl-route.h.

## ◆ l_promiscuity

uint32_t rtnl_link::l_promiscuity

Definition at line 60 of file nl-route.h.

## ◆ l_num_tx_queues

uint32_t rtnl_link::l_num_tx_queues

Definition at line 61 of file nl-route.h.

## ◆ l_num_rx_queues

uint32_t rtnl_link::l_num_rx_queues

Definition at line 62 of file nl-route.h.

## ◆ l_gso_max_segs

uint32_t rtnl_link::l_gso_max_segs

Definition at line 63 of file nl-route.h.

## ◆ l_gso_max_size

uint32_t rtnl_link::l_gso_max_size

Definition at line 64 of file nl-route.h.

## ◆ l_group

uint32_t rtnl_link::l_group

Definition at line 65 of file nl-route.h.

## ◆ l_carrier

uint8_t rtnl_link::l_carrier

Definition at line 66 of file nl-route.h.

## ◆ l_carrier_changes

uint32_t rtnl_link::l_carrier_changes

Definition at line 68 of file nl-route.h.

## ◆ l_af_ops

struct rtnl_link_af_ops* rtnl_link::l_af_ops

Definition at line 69 of file nl-route.h.

## ◆ l_phys_port_id

struct nl_data* rtnl_link::l_phys_port_id

Definition at line 70 of file nl-route.h.

## ◆ l_phys_port_name

char rtnl_link::l_phys_port_name[IFNAMSIZ]

Definition at line 71 of file nl-route.h.

## ◆ l_phys_switch_id

struct nl_data* rtnl_link::l_phys_switch_id

Definition at line 72 of file nl-route.h.

## ◆ l_ns_fd

int rtnl_link::l_ns_fd

Definition at line 73 of file nl-route.h.

## ◆ l_ns_pid

pid_t rtnl_link::l_ns_pid

Definition at line 74 of file nl-route.h.

## ◆ l_vf_list

struct rtnl_link_vf* rtnl_link::l_vf_list

Definition at line 75 of file nl-route.h.